<!-- This file was generated by pybib2web, version 0.7.dev0: https://gitlab.com/sosy-lab/software/pybib2web/ -->
<input type="checkbox" id="show-compact">
<label for="show-compact">Compact view</label>
<h2 id="publications">Publications of year 2010</h2>
<nav class="publication-navigation">(<a href="../All/index.html">Show all</a> &ndash; <a href="../index.html">Index</a>)</nav>

<a href="../Category/conferences.html"><h3>Articles in conference or workshop proceedings</h3></a>

<ol class="list-publications" start="1">

<li class="bibentry" id="FMCAD10">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/KEREMOGLU-ME.html"><span class="firstname">M. Erkan</span> <span class="lastname">Keremoglu</span></a></span>, and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Predicate Abstraction with Adjustable-Block Encoding.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 10th International Conference on
        Formal Methods in Computer-Aided Design
        (FMCAD 2010, Lugano, October 20-23)</em>,
      <span class="pages">pages 189-197</span>,
      <span class="publication-date">  <span class="year">2010</span></span>.
    </span>
    <span class="publisher">FMCAD.</span>
  </span>
  <a class="bibentry-link" href="#FMCAD10"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2010-FMCAD.Predicate_Abstraction_with_Adjustable-Block_Encoding.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="http://www.sosy-lab.org/~dbeyer/cpa-abe/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Several successful software model checkers are based
        on a technique called single-block encoding (SBE),
        which computes costly predicate abstractions after
        every single program operation.  Large-block
        encoding (LBE) computes abstractions only after a
        large number of operations, and it was shown that
        this significantly improves the verification
        performance.  In this work, we present
        adjustable-block encoding (ABE), a unifying
        framework that allows to express both previous
        approaches.  In addition, it provides the
        flexibility to specify any block size between SBE
        and LBE, and also beyond LBE, through the adjustment
        of one single parameter.  Such a unification of
        different concepts makes it easier to understand the
        fundamental properties of the analysis, and makes
        the differences of the variants more explicit.  We
        evaluate different configurations on example C
        programs, and identify one that is currently the best.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FMCAD10,
        author = {Dirk Beyer and M.~Erkan Keremoglu and Philipp Wendler},
        title = {Predicate Abstraction with Adjustable-Block Encoding},
        booktitle = {Proceedings of the 10th International Conference on Formal Methods in Computer-Aided Design (FMCAD~2010, Lugano, October 20-23)},
        pages = {189-197},
        year = {2010},
        publisher = {FMCAD},
        isbn = {},
        url = {http://www.sosy-lab.org/~dbeyer/cpa-abe/},
        pdf = {https://www.sosy-lab.org/research/pub/2010-FMCAD.Predicate_Abstraction_with_Adjustable-Block_Encoding.pdf},
        abstract = {Several successful software model checkers are based on a technique called single-block encoding (SBE), which computes costly predicate abstractions after every single program operation.  Large-block encoding (LBE) computes abstractions only after a large number of operations, and it was shown that this significantly improves the verification performance.  In this work, we present adjustable-block encoding (ABE), a unifying framework that allows to express both previous approaches.  In addition, it provides the flexibility to specify any block size between SBE and LBE, and also beyond LBE, through the adjustment of one single parameter.  Such a unification of different concepts makes it easier to understand the fundamental properties of the analysis, and makes the differences of the variants more explicit.  We evaluate different configurations on example C programs, and identify one that is currently the best.},
        keyword = {CPAchecker,Software Model Checking},
        annote = {Won the NRW Young Scientist Award 2010 in Dynamic Intelligent Systems},
        doinone = {DOI not available},
        }
        
      </div>
    </details>
    <details open class="annote">
      <summary>Additional Infos</summary>
      <div>
        Won the NRW Young Scientist Award 2010 in Dynamic Intelligent Systems
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="ICPC10c">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><span class="firstname">Ashgan</span> <span class="lastname">Fararooy</span></span>.</span>
    <span class="publication-title">CheckDep: A Tool for Tracking Software Dependencies.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 18th IEEE International Conference on
        Program Comprehension (ICPC 2010, Braga, June 30 - July 2)</em>,
      <span class="pages">pages 42-43</span>,
      <span class="publication-date">  <span class="year">2010</span></span>.
    </span>
    <span class="publisher">IEEE Computer Society Press, Los Alamitos (CA).</span>
    <a class="doi" href="https://doi.org/10.1109/ICPC.2010.51" data-doi="10.1109/ICPC.2010.51" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1109/ICPC.2010.51</a>
  </span>
  <a class="bibentry-link" href="#ICPC10c"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/STRUCTURAL-ANALYSIS-AND-COMPREHENSION.html">Structural Analysis and Comprehension</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1109/ICPC.2010.51" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2010-ICPC.CheckDep_A_Tool_for_Tracking_Software_Dependencies.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Many software developers use a syntactical 'diff' in
        order to perform a quick review before committing
        changes to the repository.  Others are notified of
        the change by e-mail (containing diffs or change
        logs), and they review the received information to
        determine if their work is affected.  We lift this
        simple process from the code level to the more
        abstract level of dependencies: a software developer
        can use CheckDep to inspect introduced and removed
        dependencies before committing new versions, and
        other developers receive summaries of the changed
        dependencies via e-mail.  We find the tool useful in
        our software-development activities and now make the
        tool publicly available.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ICPC10c,
        author = {Dirk Beyer and Ashgan Fararooy},
        title = {{{\sc CheckDep}}: A Tool for Tracking Software Dependencies},
        booktitle = {Proceedings of the 18th IEEE International Conference on Program Comprehension (ICPC~2010, Braga, June 30 - July 2)},
        pages = {42-43},
        year = {2010},
        publisher = {IEEE Computer Society Press, Los Alamitos~(CA)},
        isbn = {978-0-7695-4113-6},
        doi = {10.1109/ICPC.2010.51},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2010-ICPC.CheckDep_A_Tool_for_Tracking_Software_Dependencies.pdf},
        abstract = {Many software developers use a syntactical `diff&#x27; in order to perform a quick review before committing changes to the repository.  Others are notified of the change by e-mail (containing diffs or change logs), and they review the received information to determine if their work is affected.  We lift this simple process from the code level to the more abstract level of dependencies: a software developer can use CheckDep to inspect introduced and removed dependencies before committing new versions, and other developers receive summaries of the changed dependencies via e-mail.  We find the tool useful in our software-development activities and now make the tool publicly available.},
        keyword = {Structural Analysis and Comprehension},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="ICPC10b">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><span class="firstname">Ashgan</span> <span class="lastname">Fararooy</span></span>.</span>
    <span class="publication-title">DepDigger: A Tool for Detecting Complex Low-Level Dependencies.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 18th IEEE International Conference on
        Program Comprehension (ICPC 2010, Braga, June 30 - July 2)</em>,
      <span class="pages">pages 40-41</span>,
      <span class="publication-date">  <span class="year">2010</span></span>.
    </span>
    <span class="publisher">IEEE Computer Society Press, Los Alamitos (CA).</span>
    <a class="doi" href="https://doi.org/10.1109/ICPC.2010.52" data-doi="10.1109/ICPC.2010.52" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1109/ICPC.2010.52</a>
  </span>
  <a class="bibentry-link" href="#ICPC10b"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/STRUCTURAL-ANALYSIS-AND-COMPREHENSION.html">Structural Analysis and Comprehension</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1109/ICPC.2010.52" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2010-ICPC.DepDigger_A_Tool_for_Detecting_Complex_Low-Level_Dependencies.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        We present a tool that identifies complex data-flow
        dependencies on code-level, based on the measure
        dep-degree.  Low-level dependencies between program
        operations are modeled by the use-def graph, which
        is generated from reaching definitions of variables.
        The tool annotates program operations with their
        dep-degree values, such that 'difficult' program
        operations are easy to locate.  We hope that this
        tool helps detecting and preventing code
        degeneration, which is often a challenge in today's
        software projects, due to the high refactoring and
        restructuring frequency.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ICPC10b,
        author = {Dirk Beyer and Ashgan Fararooy},
        title = {{{\sc DepDigger}}: A Tool for Detecting Complex Low-Level Dependencies},
        booktitle = {Proceedings of the 18th IEEE International Conference on Program Comprehension (ICPC~2010, Braga, June 30 - July 2)},
        pages = {40-41},
        year = {2010},
        publisher = {IEEE Computer Society Press, Los Alamitos~(CA)},
        isbn = {978-0-7695-4113-6},
        doi = {10.1109/ICPC.2010.52},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2010-ICPC.DepDigger_A_Tool_for_Detecting_Complex_Low-Level_Dependencies.pdf},
        abstract = {We present a tool that identifies complex data-flow dependencies on code-level, based on the measure dep-degree.  Low-level dependencies between program operations are modeled by the use-def graph, which is generated from reaching definitions of variables. The tool annotates program operations with their dep-degree values, such that `difficult&#x27; program operations are easy to locate.  We hope that this tool helps detecting and preventing code degeneration, which is often a challenge in today&#x27;s software projects, due to the high refactoring and restructuring frequency.},
        keyword = {Structural Analysis and Comprehension},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="ICPC10a">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><span class="firstname">Ashgan</span> <span class="lastname">Fararooy</span></span>.</span>
    <span class="publication-title">A Simple and Effective Measure for Complex Low-Level Dependencies.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 18th IEEE International Conference on
        Program Comprehension (ICPC 2010, Braga, June 30 - July 2)</em>,
      <span class="pages">pages 80-83</span>,
      <span class="publication-date">  <span class="year">2010</span></span>.
    </span>
    <span class="publisher">IEEE Computer Society Press, Los Alamitos (CA).</span>
    <a class="doi" href="https://doi.org/10.1109/ICPC.2010.49" data-doi="10.1109/ICPC.2010.49" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1109/ICPC.2010.49</a>
  </span>
  <a class="bibentry-link" href="#ICPC10a"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/STRUCTURAL-ANALYSIS-AND-COMPREHENSION.html">Structural Analysis and Comprehension</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1109/ICPC.2010.49" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2010-ICPC.A_Simple_and_Effective_Measure_for_Complex_Low-Level_Dependencies.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="presentation-link" href="https://www.sosy-lab.org/research/prs/2010-06_DepDegree.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/presentation.gif">Presentation</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        The measure dep-degree is a simple indicator for
        structural problems and complex dependencies on
        code-level.  We model low-level dependencies between
        program operations as use-def graph, which is
        generated from reaching definitions of variables.
        The more dependencies a program operation has, the
        more different program states have to be considered
        and the more difficult it is to understand the
        operation.  Dep-degree is simple to compute and
        interpret, flexible and scalable in its application,
        and independently complementing other indicators.
        Preliminary experiments suggest that the measure
        dep-degree, which simply counts the number of
        dependency edges in the use-def graph, is a good
        indicator for readability and understandablity.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ICPC10a,
        author = {Dirk Beyer and Ashgan Fararooy},
        title = {A Simple and Effective Measure for Complex Low-Level Dependencies},
        booktitle = {Proceedings of the 18th IEEE International Conference on Program Comprehension (ICPC~2010, Braga, June 30 - July 2)},
        pages = {80-83},
        year = {2010},
        publisher = {IEEE Computer Society Press, Los Alamitos~(CA)},
        isbn = {978-0-7695-4113-6},
        doi = {10.1109/ICPC.2010.49},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2010-ICPC.A_Simple_and_Effective_Measure_for_Complex_Low-Level_Dependencies.pdf},
        presentation = {https://www.sosy-lab.org/research/prs/2010-06_DepDegree.pdf},
        abstract = {The measure dep-degree is a simple indicator for structural problems and complex dependencies on code-level.  We model low-level dependencies between program operations as use-def graph, which is generated from reaching definitions of variables. The more dependencies a program operation has, the more different program states have to be considered and the more difficult it is to understand the operation.  Dep-degree is simple to compute and interpret, flexible and scalable in its application, and independently complementing other indicators. Preliminary experiments suggest that the measure dep-degree, which simply counts the number of dependency edges in the use-def graph, is a good indicator for readability and understandablity.},
        keyword = {Structural Analysis and Comprehension},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FASE10">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Thomas A.</span> <span class="lastname">Henzinger</span></span>,
    <span class="author"><span class="firstname">Grégory</span> <span class="lastname">Théoduloz</span></span>, and
    <span class="author"><span class="firstname">Damien</span> <span class="lastname">Zufferey</span></span>.</span>
    <span class="publication-title">Shape Refinement through Explicit Heap Analysis.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">D.S.</span> <span class="lastname">Rosenblum</span></span> and
      <span class="editor"><span class="firstname">G.</span> <span class="lastname">Taentzer</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 13th International Conference on
        Fundamental Approaches to Software Engineering (FASE 2010, Paphos, Cyprus, March 22-26)</em>,
      <span class="series">LNCS 6013</span>,
      <span class="pages">pages 263-277</span>,
      <span class="publication-date">  <span class="year">2010</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-642-12029-9_19" data-doi="10.1007/978-3-642-12029-9_19" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-642-12029-9_19</a>
  </span>
  <a class="bibentry-link" href="#FASE10"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/BLAST.html">BLAST</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-642-12029-9_19" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2010-FASE.Shape_Refinement_through_Explicit_Heap_Analysis.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Shape analysis is a promising technique to prove
        program properties about recursive data structures.
        The challenge is to automatically determine the
        data-structure type, and to supply the shape
        analysis with the necessary information about the
        data structure.  We present a stepwise approach to
        the selection of instrumentation predicates for a
        TVLA-based shape analysis, which takes us a step
        closer towards the fully automatic verification of
        data structures.  The approach uses two techniques
        to guide the refinement of shape abstractions:
        (1) during program exploration, an explicit heap
        analysis collects sample instances of the heap
        structures, which are used to identify the data
        structures that are manipulated by the program; and
        (2) during abstraction refinement along an
        infeasible error path, we consider different
        possible heap abstractions and choose the coarsest
        one that eliminates the infeasible path.  We have
        implemented this combined approach for automatic
        shape refinement as an extension of the software
        model checker BLAST.  Example programs from a
        data-structure library that manipulate doubly-linked
        lists and trees were successfully verified by our tool.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FASE10,
        author = {Dirk Beyer and Thomas A.~Henzinger and  Gr{\&#x27;e}gory Th{\&#x27;e}oduloz and Damien Zufferey},
        title = {Shape Refinement through Explicit Heap Analysis},
        booktitle = {Proceedings of the 13th International Conference on Fundamental Approaches to Software Engineering (FASE~2010, Paphos, Cyprus, March 22-26)},
        editor = {D.S.~Rosenblum and G.~Taentzer},
        pages = {263-277},
        year = {2010},
        series = {LNCS~6013},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-642-12028-2},
        doi = {10.1007/978-3-642-12029-9_19},
        sha256 = {60468f681028a3ac427897405ee5c99894c5baa340896454d378d55267be304f},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2010-FASE.Shape_Refinement_through_Explicit_Heap_Analysis.pdf},
        abstract = {Shape analysis is a promising technique to prove program properties about recursive data structures. The challenge is to automatically determine the data-structure type, and to supply the shape analysis with the necessary information about the data structure.  We present a stepwise approach to the selection of instrumentation predicates for a TVLA-based shape analysis, which takes us a step closer towards the fully automatic verification of data structures.  The approach uses two techniques to guide the refinement of shape abstractions: (1) during program exploration, an explicit heap analysis collects sample instances of the heap structures, which are used to identify the data structures that are manipulated by the program; and (2) during abstraction refinement along an infeasible error path, we consider different possible heap abstractions and choose the coarsest one that eliminates the infeasible path.  We have implemented this combined approach for automatic shape refinement as an extension of the software model checker BLAST.  Example programs from a data-structure library that manipulate doubly-linked lists and trees were successfully verified by our tool.},
        keyword = {BLAST,Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="ISOLA20d-TrackIntro">
  <span class="main-info">
    <span class="author-list"><span class="author"><span class="firstname">Markus</span> <span class="lastname">Schordan</span></span>,
    <span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>, and
    <span class="author"><span class="firstname">Irena</span> <span class="lastname">Bojanova</span></span>.</span>
    <span class="publication-title">Software Verification Tools (Track Introduction).</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">T.</span> <span class="lastname">Margaria</span></span> and
      <span class="editor"><span class="firstname">B.</span> <span class="lastname">Steffen</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 9th International Symposium on
        Leveraging Applications of Formal Methods, Verification, and Validation
        (ISoLA 2020, Rhodes, Greece, October 20-30), part 4</em>,
      <span class="series">LNCS 12479</span>,
      <span class="pages">pages 177-181</span>,
      <span class="publication-date">  <span class="year">2010</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-83723-5_12" data-doi="10.1007/978-3-030-83723-5_12" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-83723-5_12</a>
  </span>
  <a class="bibentry-link" href="#ISOLA20d-TrackIntro"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-83723-5_12" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-030-83723-5_12.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ISOLA20d-TrackIntro,
        author = {Markus Schordan and Dirk Beyer and Irena Bojanova},
        title = {Software Verification Tools (Track Introduction)},
        booktitle = {Proceedings of the 9th International Symposium on Leveraging Applications of Formal Methods, Verification, and Validation (ISoLA~2020, Rhodes, Greece, October 20--30), part 4},
        editor = {T.~Margaria and B.~Steffen},
        pages = {177-181},
        year = {2010},
        series = {LNCS~12479},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-030-03420-7},
        doi = {10.1007/978-3-030-83723-5_12},
        sha256 = {},
        url = {},
        keyword = {},
        }
        
      </div>
    </details>
  </span>
</li>

</ol>
 <section id="disclaimer"> <h4>Disclaimer:</h4> <p class="disclaimer"> This material is presented to ensure timely dissemination of scholarly and technical work. Copyright and all rights therein are retained by authors or by other copyright holders. All person copying this information are expected to adhere to the terms and constraints invoked by each author's copyright. In most cases, these works may not be reposted without the explicit permission of the copyright holder. </p> </section> <footer id="generator">This file was generated by <a href="https://gitlab.com/sosy-lab/software/pybib2web/">pybib2web</a>, version 0.7.dev0</footer>